Page tree
Skip to end of metadata
Go to start of metadata

This section provides instructions to upgrade a BMC ProactiveNet Integration Service on Microsoft Windows, Solaris, and Linux. After you successfully upgrade BMC ProactiveNet Server, you can upgrade your BMC ProactiveNet Integration Services.

If you are installing BMC ProactiveNet Integration Service for the first time, see Installing the BMC ProactiveNet Integration Service on Microsoft Windows or Installing BMC ProactiveNet Integration Service on Linux or Solaris.

You can directly upgrade a BMC ProactiveNet Integration Service 9.0.xx or 9.5.xx to 9.6.00. See Supported upgrade paths to determine the upgrade path for your version of BMC ProactiveNet Integration Service. BMC recommends that you upgrade the existing BMC ProactiveNet Integration Service for optimum efficiency and reliability of Integration Service operations and to fully utilize the BMC ProactiveNet features.

Before upgrading BMC ProactiveNet Integration Service, if your KB has customizations, you must install a BMC ProactiveNet Integration Service on a separate computer.   

Ensure that the Integration Service is of version 9.6 before migrating from an IPv4 environment to and IPv6 environment.

BMC PATROL Agent version 9.5 can communicate only with BMC ProactiveNet Integration Service version 9.5 and later. Perform the following steps to migrate the PATROL Agent to the latest Integration Service:

  1. Install the Integration Service on the same computer where existing version of Integration Service is installed. For information about installing an Integration Service, see Installing the BMC ProactiveNet Integration Service on Microsoft Windows or Installing BMC ProactiveNet Integration Service on Linux or Solaris. 
  2. Upgrade all PATROL Agents from 9.0 to 9.5. 
  3. Migrate all PATROL Agents from the existing Integration Service to the Integration Service version 9.5 or later.
  4. Uninstall the existing Integration Service. For information about installing an Integration Service, see Uninstalling the BMC ProactiveNet Integration Service.

For information about BMC ProactiveNet components and BMC PATROL Agent compatibility, see BMC ProactiveNet and BMC PATROL Agent compatibility.

2 Comments

  1. There are several links on this web page that is pointing to the BPPM 9.5 online document web site.  For example, the link to the following:

     

    "For information about BMC ProactiveNet components and BMC PATROL Agent compatibility, see BMC ProactiveNet and BMC PATROL Agent compatibility."

     

    is re-directing users to the "BMC ProactiveNet and BMC PATROL Agent compatibility Published" web page for BPPM 9.5.  It does not contain any information about BPPM 9.6.

     

    Please correct these links so they are re-directed to the correct web sites.

     

    Thanks,

    Winsor

    1. Thanks for your comment Winsor, I have updated the links.

      Regards,

      Manisha